
Foreman - Bug #2537

audit details on deleted host fail

05/21/2013 04:27 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when clicking on a deleted host audit details i get

No route matches {:action=>"show", :id=>nil, :controller=>"hosts"}

ActionController::RoutingError

No route matches {:action=>"show", :id=>nil, :controller=>"hosts"}

app/helpers/application_helper.rb:97:in `link_to_if_authorized'

app/views/audits/show.html.erb:3:in `_app_views_audits_show_html_erb__1625431303_69884208184140'

lib/foreman/thread_session.rb:31:in `clear_thread'

Associated revisions

Revision 23db9bad - 05/23/2013 08:25 AM - Joseph Magen

fixes #2537 - audit details on deleted host fail

Revision 6a24900b - 05/28/2013 12:05 PM - Joseph Magen

fixes #2537 - audit details on deleted host fail

(cherry picked from commit 23db9bad8b8595c7bb88cd016983fd0945ec79ae)

History

#1 - 05/22/2013 10:57 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#2 - 05/22/2013 11:34 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

#3 - 05/23/2013 09:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 23db9bad8b8595c7bb88cd016983fd0945ec79ae.
